{
  "files.eol": "\n",
  "files.autoSave": "off",
  "files.readonlyInclude": {
    ".husky/**/*": true,
    "dist/**/*": true,
    "node_modules/**/*": true,
    "pnpm-lock.yaml": true
  },
  "search.exclude": {
    "dist/**/*": true
  },
  "editor.tabSize": 2,
  "editor.formatOnSave": true,
  "editor.defaultFormatter": "esbenp.prettier-vscode",
  "editor.codeActionsOnSave": {
    "source.fixAll.eslint": "explicit",
    "source.fixAll.stylelint": "explicit"
  },
  "explorer.fileNesting.enabled": true,
  "explorer.fileNesting.patterns": {
    "tsconfig.json": "tsconfig.*.json, env.d.ts",
    "vite.config.*": "jsconfig*, uno.config.*, vitest.config.*, cypress.config.*, playwright.config.*",
    "package.json": "package-lock.json, pnpm*, .yarnrc*, yarn*, .eslint*, eslint*, .stylelint*, .prettier*, prettier*, .editorconfig, .lintstaged*, .commitlint*"
  },
  "extensions.ignoreRecommendations": false,
  "eslint.validate": ["json"],
  "stylelint.validate": ["scss", "vue"],
  "scss.validate": false,
  "cssvar.files": ["src/styles/**/*.scss"],
  "cssvar.ignore": ["**/node_modules", "**/dist"],
  "i18n-ally.localesPaths": "src/i18n/locales",
  "i18n-ally.sourceLanguage": "zh",
  "i18n-ally.displayLanguage": "zh",
  "i18n-ally.keystyle": "nested",
  "i18n-ally.sortKeys": true,
  "i18n-ally.keepFulfilled": true,
  "vue.codeActions.enabled": false,
  "path-intellisense.mappings": {
    "@": "${workspaceFolder}/src"
  },
  "typescript.tsdk": "node_modules/typescript/lib",
  "gitlens.remotes": [
    {
      "domain": "192.168.1.224:10880",
      "type": "Custom",
      "name": "Unimat Git",
      "protocol": "http",
      "urls": {
        "repository": "http://192.168.1.224:10880/${repo}",
        "branches": "http://192.168.1.224:10880/${repo}/branches",
        "branch": "http://192.168.1.224:10880/${repo}/commits/${branch}",
        "commit": "http://192.168.1.224:10880/${repo}/commit/${id}",
        "file": "http://192.168.1.224:10880/${repo}?path=${file}${line}",
        "fileInBranch": "http://192.168.1.224:10880/${repo}/blob/${branch}/${file}${line}",
        "fileInCommit": "http://192.168.1.224:10880/${repo}/blob/${id}/${file}${line}",
        "fileLine": "#L${line}",
        "fileRange": "#L${start}-L${end}"
      }
    }
  ],
  "GitCommitPlugin.ShowEmoji": false,
  "GitCommitPlugin.MaxSubjectCharacters": 60
}
